Description

Hello,

By looking the source of this plugin, perhaps instead of declaring two mutex and a cond pthread objects, it would be better to use two

CRITICAL_SECTION and an HANDLE returned by CreateEvent().

I think that it would be better to declare also blocks_free with volatile keyword, it should made safer the WaveOut::period_wait ().

Sincerely.

History

#1 - August 14, 2017 18:41 - John Lindgren

"Better" why?  Are you having problems with the current code?

#2 - August 14, 2017 18:55 - Carlo Bramini

John Lindgren wrote:

"Better" why?  Are you having problems with the current code?

 

No, I have no problems with current code, I was just thinking that the same thing could be made with genuine WIN32 functions, since this plugin will

run only on Windows and nothing else. That's why I was thinking on it as an improvement.

#3 - August 16, 2017 02:08 - John Lindgren

- Status changed from New to Rejected

In that case, I prefer the code the way it is.
